#define NUM_SPACE_GROUP 92

typedef struct
{
    char space_group_name[12];
    int nsym;
}SPACE_GROUP;

extern  SPACE_GROUP space_group_lib[NUM_SPACE_GROUP];

SPACE_GROUP space_group_lib[NUM_SPACE_GROUP] = {
      {"A 1",           2 } ,
      {"A 1 2 1" ,      4 } ,
      {"A 2" ,          4 } , 
      {"B 1 1 2" ,      4 } , 
      {"B 2" ,          4 } , 
      {"B 2 21 2" ,     8 } ,   
      {"C 2" ,          4 } ,
      {"C 1 2 1" ,      4 } ,
      {"C 21" ,         4 } ,
      {"C 1 21 1" ,     4 } ,  
      {"C 2(A 112)" ,   4 } ,   
      {"C 2 2 2" ,      8 } ,   
      {"C 2 2 21" ,     8 } ,   
      {"C 4 21 2" ,    16 } ,
      {"F 2 2 2" ,     16 } ,  
      {"F 2 3" ,       48 } ,
      {"F 4 2 2" ,     32 } ,
      {"F 4 3 2" ,     96 } ,
      {"F 41 3 2" ,    96 } ,
      {"I 1 2 1" ,      4 } ,
      {"I 1 21 1" ,     4 } ,
      {"I 2" ,          4 } ,
      {"I 2 2 2" ,      8 } ,   
      {"I 2 3" ,       24 } ,
      {"I 21" ,         4 } ,
      {"I 21 3" ,      24 } ,
      {"I 4" ,          8 } ,
      {"I 21 21 21" ,   8 } ,
      {"I 4 2 2" ,     16 } ,
      {"I 4 3 2" ,     48 } ,
      {"I 41" ,         8 } ,
      {"I 41 2 2" ,    16 } ,
      {"I 41 3 2" ,    48 } ,
      {"P 1" ,          1 } ,    
      {"P 1-" ,         2 } ,
      {"P 2" ,          2 } ,  
      {"P 1 2 1" ,      2 } ,
      {"P 1 1 2" ,      2 } ,
      {"P 2 2 2" ,      4 } , 
      {"P 2 3" ,       12 } ,
      {"P 2 2 21" ,     4 } ,  
      {"P 2 21 21" ,    4 } ,
      {"P 21" ,         2 } ,  
      {"P 1 21 1" ,     2 } ,
      {"P 1 1 21" ,     2 } ,
      {"P 21(C)" ,      2 } , 
      {"P 21 2 21" ,    4 } ,
      {"P 21 3" ,      12 } ,
      {"P 21 21 2" ,    4 } ,
      {"P 21 21 2 A" ,  4 } ,
      {"P 21 21 21" ,   4 } ,
      {"P 3" ,          3 } ,
      {"P 3 1 2" ,      6 } ,
      {"P 3 2 1" ,      6 } ,
      {"P 31" ,         3 } ,
      {"P 31 1 2" ,     6 } ,
      {"P 31 2 1" ,     6 } ,
      {"P 32" ,         3 } ,
      {"P 32 1 2" ,     6 } ,
      {"P 32 2 1" ,     6 } ,
      {"P 4" ,          4 } ,
      {"P 4 2 2" ,      8 } ,
      {"P 4 3 2" ,     24 } ,
      {"P 4 21 2" ,     8 } ,
      {"P 41" ,         4 } ,
      {"P 41 2 2" ,     8 } ,
      {"P 41 3 2" ,    24 }  ,
      {"P 41 21 2" ,    8 } ,
      {"P 42" ,         4 } ,
      {"P 42 2 2" ,     8 } ,
      {"P 42 3 2" ,    24 } ,
      {"P 42 21 2" ,    8 } ,
      {"P 43" ,         4 } ,
      {"P 43 2 2" ,     8 } ,
      {"P 43 3 2" ,    24 } ,
      {"P 43 21 2" ,    8 } ,
      {"P 6" ,          6 } ,
      {"P 6 2 2" ,     12 } ,
      {"P 61" ,         6 } ,
      {"P 61 2 2" ,    12 } ,
      {"P 62" ,         6 } ,
      {"P 62 2 2" ,    12 } ,
      {"P 63" ,         6 } ,
      {"P 63 2 2" ,    12 } ,
      {"P 64" ,         6 } ,
      {"P 64 2 2" ,    12 } ,
      {"P 65" ,         6 } ,
      {"P 65 2 2" ,    12 } ,
      {"H 3" ,          9 } ,
      {"R 3" ,          3 } ,
      {"H 3 2" ,       18 } ,
      {"R 3 2" ,        6 }   
};

                          
