const char *_pdbx_phasing_dm[] = 
   {
       "entry_id",
       "delta_phi_final",
       "delta_phi_initial",
       "fom",
       "fom_acentric",
       "fom_centric",
       "mask_type",
       "method",
       "reflns",
       "reflns_acentric",
       "reflns_centric",
       "END_CATE"
   };
const char *_pdbx_phasing_dm_shell[] = 
   {
       "d_res_high",
       "d_res_low",
       "delta_phi_final",
       "delta_phi_initial",
       "fom",
       "fom_acentric",
       "fom_centric",
       "reflns",
       "reflns_acentric",
       "reflns_centric",
       "END_CATE"
   };
const char *_pdbx_phasing_MR[] = 
   {
       "entry_id",
       "correlation_coeff_Fo_to_Fc",
       "correlation_coeff_Io_to_Ic",
       "d_res_high_rotation",
       "d_res_high_translation",
       "d_res_low_rotation",
       "d_res_low_translation",
       "method_rotation",
       "method_translation",
       "model_details",
       "native_set_id",
       "packing",
       "R_factor",
       "R_rigid_body",
       "reflns_percent_rotation",
       "reflns_percent_translation",
       "sigma_F_rotation",
       "sigma_F_translation",
       "sigma_I_rotation",
       "sigma_I_translation",
       "END_CATE"
   };
const char *_phasing[] = 
   {
       "method",
       "END_CATE"
   };
const char *_phasing_averaging[] = 
   {
       "entry_id",
       "details",
       "method",
       "END_CATE"
   };
const char *_phasing_isomorphous[] = 
   {
       "entry_id",
       "details",
       "method",
       "parent",
       "END_CATE"
   };
const char *_phasing_set[] = 
   {
       "id",
       "cell_angle_alpha",
       "cell_angle_beta",
       "cell_angle_gamma",
       "cell_length_a",
       "cell_length_b",
       "cell_length_c",
       "detector_specific",
       "detector_type",
       "pdbx_d_res_high",
       "pdbx_d_res_low",
       "pdbx_temp_details",
       "radiation_source_specific",
       "radiation_wavelength",
       "temp",
       "END_CATE"
   };
const char *_phasing_set_refln[] = 
   {
       "set_id",
       "index_h",
       "index_k",
       "index_l",
       "F_meas",
       "F_meas_au",
       "F_meas_sigma",
       "F_meas_sigma_au",
       "END_CATE"
   };
const char *_phasing_MAD[] = 
   {
       "details",
       "entry_id",
       "method",
       "pdbx_anom_scat_method",
       "pdbx_d_res_high",
       "pdbx_d_res_low",
       "pdbx_number_data_sets",
       "pdbx_power",
       "pdbx_power_acentric",
       "pdbx_power_centric",
       "pdbx_R_cullis",
       "pdbx_R_cullis_acentric",
       "pdbx_R_cullis_centric",
       "pdbx_R_kraut",
       "pdbx_R_kraut_acentric",
       "pdbx_R_kraut_centric",
       "pdbx_reflns",
       "pdbx_reflns_acentric",
       "pdbx_reflns_centric",
       "pdbx_fom",
       "pdbx_fom_acentric",
       "pdbx_fom_centric",
       "pdbx_loc",
       "pdbx_loc_acentric",
       "pdbx_loc_centric",
       "END_CATE"
   };
const char *_phasing_MAD_clust[] = 
   {
       "expt_id",
       "id",
       "number_set",
       "END_CATE"
   };
const char *_phasing_MAD_expt[] = 
   {
       "id",
       "delta_delta_phi",
       "delta_phi",
       "delta_phi_sigma",
       "mean_fom",
       "number_clust",
       "R_normal_all",
       "R_normal_anom_scat",
       "END_CATE"
   };
const char *_phasing_MAD_ratio[] = 
   {
       "expt_id",
       "clust_id",
       "d_res_high",
       "d_res_low",
       "ratio_one_wl",
       "ratio_one_wl_centric",
       "ratio_two_wl",
       "wavelength_1",
       "wavelength_2",
       "END_CATE"
   };
const char *_phasing_MAD_set[] = 
   {
       "expt_id",
       "clust_id",
       "d_res_high",
       "d_res_low",
       "f_double_prime",
       "f_prime",
       "pdbx_atom_type",
       "pdbx_f_double_prime_refined",
       "pdbx_f_prime_refined",
       "set_id",
       "wavelength",
       "wavelength_details",
       "END_CATE"
   };
const char *_phasing_MIR[] = 
   {
       "entry_id",
       "d_res_high",
       "d_res_low",
       "details",
       "FOM",
       "FOM_acentric",
       "FOM_centric",
       "method",
       "pdbx_number_derivatives",
       "reflns",
       "reflns_acentric",
       "reflns_centric",
       "reflns_criterion",
       "END_CATE"
   };
const char *_phasing_MIR_der[] = 
   {
       "id",
       "native_set_id",
       "der_set_id",
       "d_res_high",
       "d_res_low",
       "details",
       "number_of_sites",
       "pdbx_power",
       "pdbx_R_cullis",
       "pdbx_R_kraut",
       "pdbx_R_kraut_acentric",
       "pdbx_R_kraut_centric",
       "pdbx_reflns",
       "power_acentric",
       "power_centric",
       "R_cullis_acentric",
       "R_cullis_anomalous",
       "R_cullis_centric",
       "reflns_acentric",
       "reflns_anomalous",
       "reflns_centric",
       "reflns_criteria",
       "pdbx_fom",
       "pdbx_fom_acentric",
       "pdbx_fom_centric",
       "pdbx_loc",
       "pdbx_loc_acentric",
       "pdbx_loc_centric",
       "END_CATE"
   };
const char *_phasing_MIR_der_refln[] = 
   {
       "set_id",
       "der_id",
       "index_h",
       "index_k",
       "index_l",
       "F_calc",
       "F_calc_au",
       "F_meas",
       "F_meas_au",
       "F_meas_sigma",
       "F_meas_sigma_au",
       "HL_A_iso",
       "HL_B_iso",
       "HL_C_iso",
       "HL_D_iso",
       "phase_calc",
       "END_CATE"
   };
const char *_phasing_MIR_der_shell[] = 
   {
       "der_id",
       "d_res_high",
       "d_res_low",
       "fom",
       "ha_ampl",
       "loc",
       "pdbx_fom_acentric",
       "pdbx_fom_centric",
       "pdbx_power_acentric",
       "pdbx_power_centric",
       "pdbx_R_cullis_acentric",
       "pdbx_R_cullis_centric",
       "pdbx_R_kraut_acentric",
       "pdbx_R_kraut_centric",
       "pdbx_reflns_acentric",
       "pdbx_reflns_centric",
       "pdbx_loc_acentric",
       "pdbx_loc_centric",
       "phase",
       "power",
       "R_cullis",
       "R_kraut",
       "reflns",
       "END_CATE"
   };
const char *_phasing_MIR_der_site[] = 
   {
       "id",
       "der_id",
       "atom_type_symbol",
       "Cartn_x",
       "Cartn_y",
       "Cartn_z",
       "fract_x",
       "fract_y",
       "fract_z",
       "occupancy",
       "B_iso",
       "occupancy_anom",
       "occupancy_anom_su",
       "occupancy_iso",
       "occupancy_iso_su",
       "details",
       "END_CATE"
   };
const char *_phasing_MIR_shell[] = 
   {
       "d_res_high",
       "d_res_low",
       "FOM",
       "FOM_acentric",
       "FOM_centric",
       "loc",
       "mean_phase",
       "pdbx_loc_acentric",
       "pdbx_loc_centric",
       "pdbx_power_acentric",
       "pdbx_power_centric",
       "pdbx_R_cullis_acentric",
       "pdbx_R_cullis_centric",
       "pdbx_R_kraut_acentric",
       "pdbx_R_kraut_centric",
       "power",
       "R_cullis",
       "R_kraut",
       "reflns",
       "reflns_acentric",
       "reflns_anomalous",
       "reflns_centric",
       "END_CATE"
   };
const char *_pdbx_phasing_MAD_set[] = 
   {
       "id",
       "d_res_high",
       "d_res_low",
       "number_of_sites",
       "power",
       "power_acentric",
       "power_centric",
       "R_cullis",
       "R_cullis_acentric",
       "R_cullis_centric",
       "R_kraut",
       "R_kraut_acentric",
       "R_kraut_centric",
       "reflns",
       "reflns_acentric",
       "reflns_centric",
       "fom",
       "fom_acentric",
       "fom_centric",
       "loc",
       "loc_acentric",
       "loc_centric",
       "END_CATE"
   };
const char *_pdbx_phasing_MAD_set_shell[] = 
   {
       "id",
       "d_res_high",
       "d_res_low",
       "power",
       "power_acentric",
       "power_centric",
       "R_cullis",
       "R_cullis_acentric",
       "R_cullis_centric",
       "R_kraut",
       "R_kraut_acentric",
       "R_kraut_centric",
       "reflns",
       "reflns_acentric",
       "reflns_centric",
       "fom",
       "fom_acentric",
       "fom_centric",
       "loc",
       "loc_acentric",
       "loc_centric",
       "END_CATE"
   };
const char *_pdbx_phasing_MAD_set_site[] = 
   {
       "id",
       "set_id",
       "atom_type_symbol",
       "Cartn_x",
       "Cartn_y",
       "Cartn_z",
       "fract_x",
       "fract_y",
       "fract_z",
       "occupancy",
       "b_iso",
       "END_CATE"
   };
const char *_pdbx_phasing_MAD_shell[] = 
   {
       "d_res_high",
       "d_res_low",
       "fom",
       "fom_acentric",
       "fom_centric",
       "loc",
       "loc_acentric",
       "loc_centric",
       "power",
       "power_acentric",
       "power_centric",
       "R_cullis",
       "R_cullis_acentric",
       "R_cullis_centric",
       "R_kraut",
       "R_kraut_acentric",
       "R_kraut_centric",
       "reflns",
       "reflns_acentric",
       "reflns_centric",
       "END_CATE"
   };
